Description

1)  Window-grouping question:  When using Qt or skins interfaces, and have multiple Audacious windows, ie. plugins, etc. and I click

on another application's window (it properly comes up on top), then click on any Audacious window, all come back up to the top

(which is ideal).  However, in the GTK interface, this is not the case, only the window clicked on comes on top (windows are

independent)?  Window-manager doesn't seem to matter.  Not an issue, just curious what's different in the code that enables the

window-grouping in the skins-GTK code, but not the other GTK interface code?  (Technical/programming info desired - I MAY be

looking to take a stab at patching - first thought the lack of gtk_window_set_transient_for() in layout.cc, which worked, but did not fix

issue).

2)  What does the "Queue Manager" do and how does one use it (I've never used it & it just has a blank window with a single

button)?

3)  Why is the GTK equalizer always stay on top (it has GDK_WINDOW_TYPE_HINT_DIALOG set)?

Thanks for any help!

Jim

History

#1 - December 11, 2020 23:21 - Thomas Lange

2) What does the "Queue Manager" do and how does one use it?

 

You can queue tracks there to play them in the given order.

Right click on a track in the playlist and select "Queue/Unqueue" or use ALT+Q.

#2 - August 27, 2021 22:53 - John Lindgren

Qt and GTK are two very different toolkits; I'm afraid you'd have to study each one to figure out exactly why window behavior may be different ...

#3 - August 27, 2021 22:53 - John Lindgren

- Status changed from New to Closed
